cbuffer vars : register(b0)
{
	float4 uMouse;
	float2 uResolution;
	float uTime;
	float uTimeDelta;
	int uFrameIndex;
};

Texture2D keyboardTexture : register(t0);
SamplerState textureSampler : register(s0);

float4 main(float4 fragCoord : SV_POSITION) : SV_TARGET
{
    float2 uv = fragCoord.xy/uResolution;
    return float4(0.5f + 0.5f*cos(uTime+uv.yxy), 1.0f);
}